"use strict";
// uuid: 2460e386-36d9-49ec-afd6-30963ab2e387
// ------------------------------------------------------------------------
// Copyright (c) 2018 Alexandre Bento Freire. All rights reserved.
// Licensed under the MIT License+uuid License. See License.txt for details
// ------------------------------------------------------------------------

Object.defineProperty(exports,"__esModule",{value:!0});var OptsParser,rel_consts_js_1=require("../shared/rel-consts.js");!function(e){function t(e){return e.replace(/([A-Z])/g,function(e,t){return"-"+t.toLowerCase()})}e.DEFAULT_OUT_PATTERN="__PROJDIR__/story-frames/frame%05d.png",e.DEFAULT_OUT_REPORT="__FRAMES_DIR__/frame-report.json",e.ON_ERROR_EXIT_VALUE=-1,e.DEFAULT_MAX_WIDTH=3840,e.DEFAULT_MAX_HEIGHT=2160,e.DEFAULT_MAX_FPS=50,e.DEFAULT_MAX_FRAME_COUNT=72e3,e.DEFAULT_PROGRESS=25,e.argOpts={ll:{param:"int",desc:"log level. 0 has no verbosity"},version:{desc:"version"},url:{param:"string",desc:"url of the page containing the animation\n              e.g. http://www.abeamer.com/\n              e.g. file:///home/abeamer/Documents/test/"},file:{param:"string",desc:"for running local files with relative paths\n           if --out isn't defined it sets to "+e.DEFAULT_OUT_PATTERN+"\n              e.g --file gallery/hello-world/"},out:{param:"string",desc:"output file pattern. use %(0<n>)d for sequence,\n           creates the destination folder if doesn't exists\n           if it's defined after --file, the macro  will be file value\n             e.g. --out "+e.DEFAULT_OUT_PATTERN},report:{param:"string",desc:"output report filename providing information about dimensions and fps\n           default is "+e.DEFAULT_OUT_REPORT},allowedPlugins:{param:"string",desc:"filename of the the list of the allowed plugins"},injectPage:{param:"string",desc:"filename of the index.html that will receive the injection"},width:{param:"int",desc:"frame output width. default is "+rel_consts_js_1.RelConsts.DEFAULT_WIDTH},maxWidth:{param:"int",desc:"maximum frame output width. default is "+e.DEFAULT_MAX_WIDTH},height:{param:"int",desc:"frame output height. default is "+rel_consts_js_1.RelConsts.DEFAULT_HEIGHT},maxHeight:{param:"int",desc:"maximum frame output height. default is "+e.DEFAULT_MAX_HEIGHT},noframes:{desc:"doesn't render the frames to file nor generates the report.\n           use it only for debugging"},server:{param:"string",desc:"name of the server. default is "+rel_consts_js_1.RelConsts.DEFAULT_SERVER},fps:{param:"int",desc:"overrides frames per second defined on project"},maxFps:{param:"int",desc:"maximum frame per second. default is "+e.DEFAULT_MAX_FPS},maxFrameCount:{param:"int",desc:"maximum number of frames. default is "+e.DEFAULT_MAX_FRAME_COUNT},progress:{param:"int",desc:"number of frames it displays a progress info. if 0 doesn't shows progress. default is "+e.DEFAULT_PROGRESS},timeout:{param:"int",desc:"server timeout. default is 0"},teleport:{desc:"makes the web browser run on teleport mode, and generates the story on the exit"},dp:{desc:"deletes previous frames"},config:{param:"string",desc:"loads the config from a ini or json file\n           see https://github.com/a-bentofreire/abeamer/docs/config-file.md"},var:{param:"object",desc:"allows to pass multiple variables to client web library.\n         accessible as story.args.vars or in expressions.\n         if the variable name has dashes, it will be converted to camelCase\n           e.g --var name=end-user --var value=1.2.3"}},e.isOption=function(e){return 0===e.indexOf("--")},e.iterateArgOpts=function(t,a,r){for(;;){var s=(a()||"").trim();if(!s)break;if(e.isOption(s)){var i=s.substr(2).replace(/-(\w)/g,function(e,t){return t.toUpperCase()}),n=e.argOpts[i];if(void 0===n)throw"Unknown option "+i;if(n.hasOption=!0,n.param){if(n.value=a(),!n.value||e.isOption(n.value)&&!n.allowOption)throw"Missing value for "+s;if(t)switch(n.param){case"int":if(n.value.match(/[^\d]/))throw s+" "+n.value+" isn't a integer value";n.value=parseInt(n.value);break;case"boolean":n.value="true"===n.value||"1"===n.value;break;case"object":n.multipleValue=n.multipleValue||{};var o=n.value.match(/^([^=]+)=(.*)$/)||["","",""],l=o[1],u=o[2];if(!l)throw s+" requires the key field";n.multipleValue[l]=u;break;case"array":n.multipleValue=n.multipleValue||[],n.multipleValue.push(n.value)}}var m=r(i,n.value,n.multipleValue);if(void 0!==m)return m}else r("@param",s)}},e.printUsage=function(){var a=Object.keys(e.argOpts),r=0;a.forEach(function(e){r=Math.max(t(e).length,r)});var s=r+3,i=5+s+2;console.log("\n The options are:\n "+a.map(function(a){var r=t(a);return"   --"+r+Array(s-r.length).join(" ")+e.argOpts[a].desc.split("\n").map(function(e,t){return Array(t?i:0).join(" ")+e.trim()}).join("\n")+"\n\n"}).join("\n"))}}(OptsParser=exports.OptsParser||(exports.OptsParser={}));